package com.download.library;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

public class NotificationCancelReceiver extends BroadcastReceiver {
    public static final String ACTION = "com.download.cancelled";
    private static final String TAG = "Download-NotificationCancelReceiver";

    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        Runtime instance = Runtime.getInstance();
        String str = TAG;
        instance.log(str, "action:" + action);
        if (Runtime.getInstance().append(context, ACTION).equals(action)) {
            try {
                String stringExtra = intent.getStringExtra("TAG");
                if (!TextUtils.isEmpty(stringExtra)) {
                    DownloadImpl.getInstance(context).cancel(stringExtra);
                } else {
                    Runtime.getInstance().logError(action, " error url empty");
                }
            } catch (Throwable th) {
                if (Runtime.getInstance().isDebug()) {
                    th.printStackTrace();
                }
            }
        }
    }
}
